A lot of inconsistent packages

When I have been trying to install new packages or update existing ones I am getting a message that the following packages are causing inconsistency: -...

Extracting leaf indices that each sample was assigned to in the forest from random forests (RF) in R

I'm trying to transpile code from Python to R in order to do supervised dimensionality reduction with Random Forests and UMAP following instructions from this blog post. I need to get an array...

How do I solve "incompatible numba" error while installing Scanpy?

I tried installing the Scanpy package on Jupyter with "pip install Scanpy" but I got the the errors below; ERROR: pynndescent 0.5.2 has requirement numba>=0.51.2, but you'll have numba 0.48.0...

The 'pynndescent' distribution was not found and is required by the application error

I was trying to run this tutorial and it gives the following error on 'import cell2location' (cell 3, line 15), DistributionNotFound: The 'pynndescent' distribution was not found and is required...

Python Make UMAP fast(er)

I am using UMAP (https://umap-learn.readthedocs.io/en/latest/#) to reduce the dimensions in my data. My dataset contains 4700 samples with 1,2 million features each (which I would like to reduce)....

How to install PyCaret in AWS Glue

How can I properly install PyCaret in AWS Glue? Methods I tried: --additional-python-modules and --python-modules-installer-option Python library path easy_install as described in...

Kernel dies using scanpy neighbors function

Whenever I use sc.pp.neighbors(adata) I get this message (without any error): I have: scanpy==1.8.1 pynndescent==0.5.4 numba==0.54.0 umap-learn==0.5.1 anndata==0.7.6 My dataset contains only...